Skip to main content
GET
/
v2
/
jobs
/
data
/
industries
curl -X GET "https://api.hirebase.org/v2/jobs/data/industries" \
  -H "x-api-key: YOUR_API_KEY"
{
  "industries": [
    "Agriculture",
    "Arts",
    "Construction",
    "Consumer Goods",
    "Design",
    "Education",
    "Finance",
    "Healthcare",
    "Tech, Software & IT Services",
    "..."
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.hirebase.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Returns every top-level industry used by Hirebase to classify companies. These values are accepted by the industry filter on search endpoints.

Endpoint

GET /v2/jobs/data/industries

Authentication

x-api-key
string
required
Your Hirebase API key

Response

industries
string[]
Array of industry strings (e.g., "Tech, Software & IT Services", "Healthcare", "Finance").
curl -X GET "https://api.hirebase.org/v2/jobs/data/industries" \
  -H "x-api-key: YOUR_API_KEY"
{
  "industries": [
    "Agriculture",
    "Arts",
    "Construction",
    "Consumer Goods",
    "Design",
    "Education",
    "Finance",
    "Healthcare",
    "Tech, Software & IT Services",
    "..."
  ]
}

List Subindustries

Get the subindustries nested under a given industry.

Search Jobs

Use these values in the industry search filter.

Error Responses

401
Unauthorized
Invalid or missing API key.
429
Too Many Requests
Rate limit exceeded.